%define priority 66
%define fontname sawarabi-gothic
%define version  20090501
%define archivename %{fontname}-%{version}
%define fontconf %{priority}-%{fontname}

Name:      %{fontname}-fonts
Version:   %{version}
Release:   1%{?dist}
Summary:   Sawarabi Gothic Japanese TrueType font

License:   Creative Commons Attribution license (CC-BY)
Group:	    User Interface/X
URL:       http://sawarabi-fonts.sourceforge.jp/
Source0:   https://sourceforge.jp/projects/sawarabi-fonts/downloads/39716/%{archivename}.tar.gz
Source1:   %{fontname}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
The Sawarabi Gothic fonts are TTF fonts ditributed under the Creative Commons.

%prep
%setup -q -n %{fontname}

%build
%{nil}


%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p *.ttf $RPM_BUILD_ROOT%{_fontdir}
install -m 0755 -d	$RPM_BUILD_ROOT%{_fontconfig_templatedir} $RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}.conf $RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}.conf


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README.txt
%dir %{_fontdir}
%dir %{_fontconfig_templatedir}
%dir %{_fontconfig_confdir}
%{_fontdir}/*.ttf
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf

%changelog
* Wed May 6 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- update 20090501

* Sat Apr 4 2009 Keiichi Takahashi <bitwalk@users.sourceforge.net>
- initial version

